%define upstream_name    Devel-TakeHashArgs
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    make a hash from @_ and set defaults in subs while checking that all mandatory arguments are present
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.580.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The module is a short utility I made after being sick and tired of writing
redundant code to make a hash out of args when they are passed as key/value
pairs including setting their defaults and checking for mandatory
arguments.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.6.0-8.mga9
+ Revision: 1803008
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-7.mga8
+ Revision: 1494011
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-6.mga7
+ Revision: 1267266
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-5.mga6
+ Revision: 1025637
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 0.6.0-4.mga6
+ Revision: 929393
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-3.mga5
+ Revision: 748919
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-2.mga5
+ Revision: 684338
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.6.0-1.mga5
+ Revision: 586255
- update to 0.006

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-6.mga4
+ Revision: 510876
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-5.mga3
+ Revision: 365823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.5.0-4.mga1
+ Revision: 28484
- mageia rebuild
- imported package perl-Devel-TakeHashArgs


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.5.0-4mdv2010.1
+ Revision: 505272
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.005-3mdv2010.0
+ Revision: 430410
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.005-2mdv2009.0
+ Revision: 268429
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.005-1mdv2009.0
+ Revision: 194849
- update to new version 0.005
- update to new version 0.005

* Sat Apr 12 2008 Olivier Thauvin <nanardon@mandriva.org> 0.004-1mdv2009.0
+ Revision: 192623
- import perl-Devel-TakeHashArgs


